//----LIGHT SHADERS------------------------------------------------------

textures/office_lights/light_fl_3000
{
	qer_editorimage textures/office_lights/flourescent01.tga
	surfaceparm nomarks
	q3map_surfacelight 3000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/office_lights/flourescent01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/office_lights/flourescent01.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/office_lights/light_dfl_5000
{
        q3map_lightimage textures/office_lights/flourescent_d01_blend.tga
	qer_editorimage textures/office_lights/flourescent_d01.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/office_lights/flourescent_d01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/office_lights/flourescent_d01_blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/office_lights/light_tl_5000
{
	q3map_lightimage textures/office_lights/tile_light01_blend.tga
	qer_editorimage textures/office_lights/tile_light01.tga
	q3map_surfacelight 1500
	surfaceparm nomarks
	{
		map $lightmap
        	rgbGen identity
	}
	{
        	map textures/office_lights/tile_light01.tga
        	blendFunc GL_DST_COLOR GL_ZERO
        	rgbGen identity
	}
	{
        	map textures/office_lights/tile_light01_blend.tga
        	blendFunc GL_ONE GL_ONE
	}
}

textures/office_lights/light_conc_5000
{
	q3map_lightimage textures/office_lights/tile_light01_blend.tga
	qer_editorimage textures/office_lights/conc_light01.tga
	q3map_surfacelight 1500
	surfaceparm nomarks
	{
        	map $lightmap
       		rgbGen identity
	}
	{
        	map textures/office_lights/conc_light01.tga
        	blendFunc GL_DST_COLOR GL_ZERO
        	rgbGen identity
    	}
    	{
        	map textures/office_lights/tile_light01_blend.tga
        	blendFunc GL_ONE GL_ONE
    	}
}

textures/office_lights/light_sm_5000
{
    	q3map_lightimage textures/office_lights/tile_light01s_blend.tga
    	qer_editorimage textures/office_lights/tile_light01s_blend.tga
    	q3map_surfacelight 1500
    	surfaceparm nomarks
    	{
        	map $lightmap
        	rgbGen identity
    	}
    	{
        	map textures/office_lights/tile_light01s_blend.tga
        	blendFunc GL_DST_COLOR GL_ZERO
        	rgbGen identity
    	}
    	{
        	map textures/office_lights/tile_light01s_blend.tga
        	blendFunc GL_ONE GL_ONE
    	}
}

textures/office_lights/xlight_15k
{
    	qer_editorimage textures/lights/light_xlight_02.tga
    	q3map_surfacelight 1500
    	surfaceparm nomarks
    	q3map_lightsubdivide 64
    	{
        	map $lightmap
        	rgbGen identity
    	}
    	{
        	map textures/lights/light_xlight_02.tga
        	blendFunc GL_DST_COLOR GL_ZERO
        	rgbGen identity
    	}
    	{
        	map textures/lights/light_xlight_02.tga
        	blendFunc GL_ONE GL_ONE
    	}
}

textures/office_lights/xlight_250
{
    	qer_editorimage textures/lights/light_xlight_02.tga
    	q3map_surfacelight 250
    	surfaceparm nomarks
    	q3map_lightsubdivide 64
    	{
        	map $lightmap
        	rgbGen identity
    	}
    	{
        	map textures/lights/light_xlight_02.tga
        	blendFunc GL_DST_COLOR GL_ZERO
        	rgbGen identity
    	}
    	{
        	map textures/lights/light_xlight_02.tga
        	blendFunc GL_ONE GL_ONE
    	}
}

textures/office_lights/light_green
{

    	qer_editorimage textures/office_lights/light_m25green.tga
    	surfaceparm nomarks
    	{
        	map $lightmap
        	rgbGen identity
    	}
    	{
        	map textures/office_lights/light_m25green.tga
        	blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.3 0 0.5
    	}
}

textures/office_lights/light_red
{
    	qer_editorimage textures/lights/light_m25r.tga
    	surfaceparm nomarks
    	{
        	map $lightmap
        	rgbGen identity
    	}
    	{
        	map textures/lights/light_m25r.tga
        	blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.3 0 0.5
    	}
}

textures/office_lights/sec_green
{

    	qer_editorimage textures/office_lights/sector_green.tga
    	surfaceparm nomarks
    	{
        	map $lightmap
        	rgbGen identity
    	}
    	{
        	map textures/office_lights/sector_green.tga
        	blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/office_lights/sector_green_blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.3 0 0.5
    	}
}

textures/office_lights/sec_red
{

    	qer_editorimage textures/office_lights/sector_red.tga
    	surfaceparm nomarks
    	{
        	map $lightmap
        	rgbGen identity
    	}
    	{
        	map textures/office_lights/sector_red.tga
        	blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/office_lights/sector_red_blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.3 0 0.5
    	}
}

textures/office_lights/light_exit
{
    	q3map_lightimage textures/office_prop/exit_sign02_blend.tga
    	qer_editorimage textures/office_prop/exit_sign02.tga
    	q3map_surfacelight 200
    	surfaceparm nomarks
    	{
        	map $lightmap
        	rgbGen identity
    	}
    	{
        	map textures/office_prop/exit_sign02.tga
        	blendFunc GL_DST_COLOR GL_ZERO
        	rgbGen identity
    	}
    	{
        	map textures/office_prop/exit_sign02_blend.tga
        	blendFunc GL_ONE GL_ONE
    	}
}

textures/office_lights/light_exit_r
{
    	q3map_lightimage textures/office_prop/exit_sign_r02_blend.tga
    	qer_editorimage textures/office_prop/exit_sign_r02.tga
    	q3map_surfacelight 200
    	surfaceparm nomarks
    	{
        	map $lightmap
        	rgbGen identity
    	}
    	{
        	map textures/office_prop/exit_sign_r02.tga
        	blendFunc GL_DST_COLOR GL_ZERO
        	rgbGen identity
    	}
    	{
        	map textures/office_prop/exit_sign_r02_blend.tga
        	blendFunc GL_ONE GL_ONE
    	}
}

textures/office_lights/light_exit_l
{
    	q3map_lightimage textures/office_prop/exit_sign_l02_blend.tga
    	qer_editorimage textures/office_prop/exit_sign_l02.tga
    	q3map_surfacelight 200
    	surfaceparm nomarks
    	{
        	map $lightmap
        	rgbGen identity
    	}
    	{
        	map textures/office_prop/exit_sign_l02.tga
        	blendFunc GL_DST_COLOR GL_ZERO
        	rgbGen identity
    	}
    	{
        	map textures/office_prop/exit_sign_l02_blend.tga
        	blendFunc GL_ONE GL_ONE
    	}
}

textures/office_lights/light_emerg_w01
{
    	q3map_lightimage textures/office_lights/emerg_light_w01.tga
    	qer_editorimage textures/office_lights/emerg_light_w01.tga
    	q3map_surfacelight 700
    	surfaceparm nomarks
    	{
        	map $lightmap
        	rgbGen identity
    	}
    	{
        	map textures/office_lights/emerg_light_w01.tga
        	blendFunc GL_DST_COLOR GL_ZERO
        	rgbGen identity
    	}
    	{
        	map textures/office_lights/emerg_light_w01.tga
        	blendFunc GL_ONE GL_ONE
    	}
}

textures/office_lights/basement_red
{
	qer_editorimage textures/office_lights/red_b1.tga
	q3map_lightimage textures/office_lights/red_b1.tga
	q3map_surfacelight 500
	surfaceparm nomarks
	{
		map textures/office_lights/red_b1.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}			
}

textures/office_lights/basement_green
{
	qer_editorimage textures/office_lights/green_b1.tga
	q3map_lightimage textures/office_lights/green_b1.tga
	q3map_surfacelight 500
	surfaceparm nomarks
	{
		map textures/office_lights/green_b1.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}			
}

textures/office_lights/basement_blue
{
	qer_editorimage textures/office_lights/blue_b1.tga
	q3map_lightimage textures/office_lights/blue_b1.tga
	q3map_surfacelight 500
	surfaceparm nomarks
	{
		map textures/office_lights/blue_b1.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}			
}

textures/office_lights/light_m16b_1k
{
    	qer_editorimage textures/office_lights/light_m16b.tga
    	q3map_surfacelight 1000
    	surfaceparm nomarks
    	{
        	map $lightmap
        	rgbGen identity
    	}
    	{
        	map textures/office_lights/light_m16b.tga
        	blendFunc GL_DST_COLOR GL_ZERO
        	rgbGen identity
    	}
    	{
        	map textures/office_lights/light_m16b_blend.tga
        	blendFunc GL_ONE GL_ONE
    	}
}

textures/office_lights/machine_glow
{
	qer_editorimage textures/assault/machine_cl01.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/assault/machine_cl01.tga
		blendfunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/office_lights/machine_blend01.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.3 0 0.5
	}
}

textures/office_lights/vend_coke4
{
    	qer_editorimage textures/office_prop/coke_machine04.tga
    	{
        	map $lightmap
        	rgbGen identity
    	}
    	{
        	map textures/office_prop/coke_machine04.tga
		blendFunc GL_DST_COLOR GL_ZERO
        	rgbGen identity
    	}
    	{
        	map textures/office_prop/coke_machine04.tga
        	blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
    	}
}

textures/office_lights/vend_dasani4
{
    	qer_editorimage textures/office_prop/dasani_machine04.tga
    	{
        	map $lightmap
        	rgbGen identity
    	}
    	{
        	map textures/office_prop/dasani_machine04.tga
		blendFunc GL_DST_COLOR GL_ZERO
        	rgbGen identity
    	}
    	{
        	map textures/office_prop/dasani_machine04.tga
        	blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
    	}
}

textures/office_lights/vend_pepsi4
{
    	qer_editorimage textures/office_prop/pepsi_machine04.tga
    	{
        	map $lightmap
        	rgbGen identity
    	}
    	{
        	map textures/office_prop/pepsi_machine04.tga
		blendFunc GL_DST_COLOR GL_ZERO
        	rgbGen identity
    	}
    	{
        	map textures/office_prop/pepsi_machine04.tga
        	blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
    	}
}


//----COMPUTER TERMINAL SHADERS--------------------------------------

textures/office_lights/screen_tl
{
	q3map_nolightmap
	{
		map textures/office_lights/screen_tb.tga
		blendFunc GL_ONE GL_ZERO
	}
	{
		map textures/office_lights/screen_tl.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/office_lights/screen_tul
{
	q3map_nolightmap
	{
		map textures/office_lights/screen_tb.tga
		blendFunc GL_ONE GL_ZERO
	}
	{
		map textures/office_lights/screen_tul.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/office_lights/screen2_tl
{
	q3map_nolightmap
	cull none
	{
		map textures/office_lights/screen2_tb.tga
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/office_lights/screen2_tl.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/office_lights/screen2_tul
{
	q3map_nolightmap
	cull none
	{
		map textures/office_lights/screen2_tb.tga
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/office_lights/screen2_tul.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/office_lights/screen3_tl
{
	qer_editorimage textures/office_lights/screen3_a1.tga
	q3map_nolightmap
	cull none
	{
		animmap 4 textures/office_lights/screen3_a1.tga textures/office_lights/screen3_a2.tga textures/office_lights/screen3_a3.tga textures/office_lights/screen3_a4.tga textures/office_lights/screen3_a3.tga textures/office_lights/screen3_a2.tga textures/office_lights/screen3_a1.tga textures/office_lights/screen3_a4.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/office_lights/screen3_tul
{
	qer_editorimage textures/office_lights/screen3_tb.tga
	q3map_nolightmap
	cull none
	{
		map textures/office_lights/screen3_tb.tga
		blendFunc GL_ONE GL_ONE
	}
}


//----GLASS SHADERS------------------------------------------

textures/office_wall/office_glass
{
	qer_editorimage textures/office_wall/dirtyglass.tga		
	surfaceparm alphashadow
	surfaceparm trans
	qer_trans 	0.5
	surfaceparm trans
	{
		map textures/office_wall/dirtyglass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/office_wall/office_glass_r
{
	qer_editorimage textures/office_wall/dirtyglass.tga		
	surfaceparm alphashadow
	surfaceparm trans
	qer_trans 	0.5
	surfaceparm trans
	{
		map textures/office_wall/dirtyglass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}	
	{
		map textures/effects/tinfx.tga
		blendFunc GL_ONE_MINUS_DST_ALPHA GL_ONE
		tcMod scale 2 2
		tcGen environment
	}
}

textures/office_wall/office_glass2
{	
	qer_editorimage textures/office_wall/glassfx3.tga
	surfaceparm nolightmap
	surfaceparm trans
	qer_trans 0.5
	{
		map textures/office_wall/glassfx3.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		tcGen environment
 	}
}


//----FLOOR SHADERS-------------------------------------------

textures/office_floor/office_carpet
{
	qer_editorimage textures/office_floor/carpet_02s.tga
	surfaceparm carpetsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/office_floor/carpet_02s.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/office_floor/breakroom_tile
{
	qer_editorimage textures/office_floor/tile_plain_breakroom01.tga
	surfaceparm ceramic
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/office_floor/tile_plain_breakroom01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/office_wall/tinfx_office.tga
		blendFunc GL_ONE GL_ONE
		tcMod Scale 1.2 1.2  
		tcGen environment
	}
}

textures/office_floor/basement_tile
{
	qer_editorimage textures/office_floor/btile03.tga
	surfaceparm ceramic
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/office_floor/btile03.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


//----WORKER ALPHA SHADERS---------------------------------

textures/office_prop/w1a
{
	qer_editorimage textures/office_prop/worker1a.tga
	surfaceparm alphashadow
	nomipmaps
	nopicmip
	cull disable
	{
		map textures/office_prop/worker1a.tga
		alphaFunc GE128
		depthWrite
	}
}

textures/office_prop/w1b
{
	qer_editorimage textures/office_prop/worker1b.tga
	surfaceparm alphashadow
	nomipmaps
	nopicmip
	cull disable
	{
		map textures/office_prop/worker1b.tga
		alphaFunc GE128
		depthWrite
	}
}

textures/office_prop/w2a
{
	qer_editorimage textures/office_prop/worker2a.tga
	surfaceparm alphashadow
	nomipmaps
	nopicmip
	cull disable
	{
		map textures/office_prop/worker2a.tga
		alphaFunc GE128
		depthWrite
	}
}

textures/office_prop/w2b
{
	qer_editorimage textures/office_prop/worker2b.tga
	surfaceparm alphashadow
	nomipmaps
	nopicmip
	cull disable
	{
		map textures/office_prop/worker2b.tga
		alphaFunc GE128
		depthWrite
	}
}

textures/office_prop/w3a
{
	qer_editorimage textures/office_prop/worker3a.tga
	surfaceparm alphashadow
	nomipmaps
	nopicmip
	cull disable
	{
		map textures/office_prop/worker3a.tga
		alphaFunc GE128
		depthWrite
	}
}

textures/office_prop/w3b
{
	qer_editorimage textures/office_prop/worker3b.tga
	surfaceparm alphashadow
	nomipmaps
	nopicmip
	cull disable
	{
		map textures/office_prop/worker3b.tga
		alphaFunc GE128
		depthWrite
	}
}

textures/office_prop/w4a
{
	qer_editorimage textures/office_prop/worker4a.tga
	surfaceparm alphashadow
	nomipmaps
	nopicmip
	cull disable
	{
		map textures/office_prop/worker4a.tga
		alphaFunc GE128
		depthWrite
	}
}

textures/office_prop/w4b
{
	qer_editorimage textures/office_prop/worker4b.tga
	surfaceparm alphashadow
	nomipmaps
	nopicmip
	cull disable
	{
		map textures/office_prop/worker4b.tga
		alphaFunc GE128
		depthWrite
	}
}

textures/office_prop/w5a
{
	qer_editorimage textures/office_prop/worker5a.tga
	surfaceparm alphashadow
	nomipmaps
	nopicmip
	cull disable
	{
		map textures/office_prop/worker5a.tga
		alphaFunc GE128
		depthWrite
	}
}

textures/office_prop/w5b
{
	qer_editorimage textures/office_prop/worker5b.tga
	surfaceparm alphashadow
	nomipmaps
	nopicmip
	cull disable
	{
		map textures/office_prop/worker5b.tga
		alphaFunc GE128
		depthWrite
	}
}

textures/office_prop/w6b
{
	qer_editorimage textures/office_prop/worker6b.tga
	surfaceparm alphashadow
	nomipmaps
	nopicmip
	cull disable
	{
		map textures/office_prop/worker6b.tga
		alphaFunc GE128
		depthWrite
	}
}


//----TERRAIN SHADERS---------------------------------------------

textures/office_floor/terrain_base
{
	q3map_terrain	// for q3map2
	surfaceparm nomarks
	q3map_lightmapsampleoffset 8.0
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	q3map_globaltexture
	q3map_nonplanar
}

textures/office_floor/grass
{
	q3map_baseshader textures/office_floor/terrain_base
	q3map_lightimage textures/terrain/grass_dm01.tga
	qer_editorimage textures/terrain/grass_dm01.tga
	{
		map textures/terrain/grass_dm01.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}

textures/office_floor/straw
{
	q3map_baseshader textures/office_floor/terrain_base
	q3map_lightimage textures/office_floor/pinestraw02.tga
	qer_editorimage textures/office_floor/pinestraw02.tga
	{
		map textures/office_floor/pinestraw02.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}

textures/office_floor/gs_blend
{
	q3map_baseshader textures/office_floor/terrain_base
	q3map_lightimage textures/office_floor/grass_straw_blend.tga
	qer_editorimage textures/office_floor/grass_straw_blend.tga
	{
		map textures/office_floor/grass_straw_blend.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}


//----LIGHTMAPPED TREE SHADERS------------------------------------

textures/office_skies/tree_m02s
{		
	qer_editorimage textures/tree/tree_m02s.tga
	surfaceparm alphashadow
	cull disable
	{
		map textures/tree/tree_m02s.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/office_skies/trees_m01
{
	qer_editorimage textures/training/trees_m01.tga
	surfaceparm alphashadow
	cull disable
    	{  
        	map textures/training/trees_m01.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/office_skies/tree_m07_lod
{		
	qer_editorimage textures/tree/tree_m07_lod.tga
	surfaceparm alphashadow
	cull disable
	{
		map textures/tree/tree_m07_lod.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/office_skies/tree_m08_lod
{
	qer_editorimage textures/tree/tree_m08_lod.tga
	surfaceparm alphashadow
	cull disable
	{
		map textures/tree/tree_m08_lod.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/office_skies/tree_m08
{
	qer_editorimage textures/tree/tree_m08.tga
	surfaceparm alphashadow
	cull disable
	{
		map textures/tree/tree_m08.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


//----MESSAGE BOARD SHADERS----------------------------------------

textures/office_lights/mboard_m01
{
	qer_editorimage textures/office_lights/mboard_01.tga
	q3map_nolightmap
	{
		map textures/office_lights/mboard_01.tga
		blendFunc GL_ONE GL_ZERO
		tcmod scroll .5 0
	}
}

textures/office_lights/mboard_m02
{
	qer_editorimage textures/office_lights/mboard_02.tga
	q3map_nolightmap
	{
		map textures/office_lights/mboard_02.tga
		blendFunc GL_ONE GL_ZERO
		tcmod scroll .5 0
	}
}

textures/office_lights/mboard_m03
{
	qer_editorimage textures/office_lights/mboard_03.tga
	q3map_nolightmap
	{
		map textures/office_lights/mboard_03.tga
		blendFunc GL_ONE GL_ZERO
		tcmod scroll .5 0
	}
}

textures/office_lights/mboard_m04
{
	qer_editorimage textures/office_lights/mboard_04.tga
	q3map_nolightmap
	{
		map textures/office_lights/mboard_04.tga
		blendFunc GL_ONE GL_ZERO
		tcmod scroll .5 0
	}
}


//----MISC SHADERS--------------------------------------------------

textures/office_prop/metal_nonsolid
{
	qer_editorimage textures/metal_misc/shiny_metal_small.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/metal_misc/shiny_metal_small.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/office_wall/air_duct
{
	qer_editorimage textures/metal_misc/metal_m02ss.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/metal_misc/metal_m02ss.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/office_wall/reflection.tga
		blendFunc GL_DST_COLOR GL_ZERO
		tcMod Scale 2 2  
		tcGen environment
	}
}

textures/office_prop/trashcan
{
	qer_editorimage textures/office_prop/trashcan_lid.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/office_prop/trashcan_lid.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/office_wall/reflection.tga
		blendFunc GL_DST_COLOR GL_ZERO
		tcMod Scale 2 2  
		tcGen environment
	}
}

textures/office_lights/pscreen_m01
{
	qer_editorimage textures/office_prop/proj_screen02.tga
	{
		videomap video/mp_office.roq
		rgbGen identity
		tcMod scale .5 .25
	}
}

textures/office_lights/beam_dusty
{
	qer_editorimage textures/office_lights/beam.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/office_lights/beam.tga
                blendFunc GL_ONE GL_ONE
        }
}

textures/office_wall/g_energy2
{
	qer_editorimage textures/office_wall/energy_b3.tga
	q3map_lightimage textures/office_wall/energy_b3.tga
	q3map_globaltexture
	q3map_nolightmap
	surfaceparm trans
	q3map_surfacelight 750
	{
		map textures/office_wall/energy_b3.tga
		blendFunc GL_ONE GL_ONE
		tcmod scale 1 .5
		tcmod scroll 0 1
	}	
}

textures/office_skies/sky_office_night
{
	nocompress
	qer_editorimage textures/skies/sky_9.tga
	q3map_lightimage textures/skies/n_blue2.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_globaltexture
	q3map_sun	0.274632 0.274632 0.39 15 315 45
	q3map_skylight 5 4
	skyparms - 200 -
	sunshader sun

//	fogvars ( .15 .15 .2 ) 2000
	skyfogvars ( .23 .23 .3 ) .01
	{
		map textures/office_skies/nightsky1.tga
		tcMod scale 16.0 16.0
	}
	{
		map textures/office_skies/vil_clouds1.tga
		blendfunc blend
		tcMod scale 2 1
		tcMod scroll 0.001 0.00
	}
}

textures/office_skies/fog_black
{
	qer_editorimage textures/sfx/fog.tga
        qer_trans 0.75
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	q3map_globaltexture
	fogparms ( 0.0 0.0 0.0 ) 256
}
